SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Apache OpenOffice Vendors:   Apache Software Foundation, OpenOffice.org
Apache OpenOffice DLL Loading Error Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1037016
SecurityTracker URL:  http://securitytracker.com/id/1037016
CVE Reference:   CVE-2016-6804   (Links to External Site)
Date:  Oct 14 2016
Impact:   Execution of arbitrary code via local system, Root access via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.1.2 and prior
Description:   A vulnerability was reported in Apache OpenOffice. A local user can obtain elevated privileges on the target system.

The Apache OpenOffice installer for Windows may load an untrusted dynamic link library (DLL). A local user can place a specially crafted file on the target system. When the installer is run by the target user, arbitrary code in the file will be executed with the privileges of the target user.

Stephen Kanthek and by Himanshu Mehta reported this vulnerability.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   The vendor has issued a fix (4.1.3).

The vendor advisory is available at:

http://www.openoffice.org/security/cves/CVE-2016-6804.html

Vendor URL:  www.openoffice.org/security/cves/CVE-2016-6804.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC